# Uses of Class
org.apache.lucene.queryparser.ext.ParserExtension

Packages that use ParserExtension
Package
Description
org.apache.lucene.queryparser.ext
Extendable QueryParser provides a simple and flexible extension mechanism by overloading query field names.

- ## Uses of ParserExtension in org.apache.lucene.queryparser.ext

  Methods in org.apache.lucene.queryparser.ext that return ParserExtension
  Modifier and Type
  Method
  Description
  `final ParserExtension`
  Extensions.`getExtension(String key)`
  Returns the `ParserExtension` instance for the given key or `null` if no extension can be found for the key.
  Methods in org.apache.lucene.queryparser.ext with parameters of type ParserExtension
  Modifier and Type
  Method
  Description
  `void`
  Extensions.`add(String key, ParserExtension extension)`
  Adds a new `ParserExtension` instance associated with the given key.